Merge pull request #16981 from nextcloud/fix/timeout/300

No need to wait 10 minutes for the DB to get up.
This commit is contained in:
Roeland Jago Douma 2019-09-04 08:06:02 +02:00 committed by GitHub
commit 3776f7e0cb
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
1 changed files with 8 additions and 8 deletions

View File

@ -215,8 +215,8 @@ function execute_tests {
fi
fi
echo "Waiting for MySQL initialisation ..."
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then
echo "[ERROR] Waited 600 seconds, no response" >&2
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 300; then
echo "[ERROR] Waited 300 seconds, no response" >&2
exit 1
fi
fi
@ -251,8 +251,8 @@ function execute_tests {
echo "Waiting for MySQL(utf8mb4) initialisation ..."
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then
echo "[ERROR] Waited 600 seconds, no response" >&2
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 300; then
echo "[ERROR] Waited 300 seconds, no response" >&2
exit 1
fi
sleep 1
@ -275,8 +275,8 @@ function execute_tests {
DATABASEHOST=$(docker inspect --format="{{.NetworkSettings.IPAddress}}" "$DOCKER_CONTAINER_ID")
echo "Waiting for MariaDB initialisation ..."
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then
echo "[ERROR] Waited 600 seconds, no response" >&2
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 300; then
echo "[ERROR] Waited 300 seconds, no response" >&2
exit 1
fi
@ -296,8 +296,8 @@ function execute_tests {
fi
echo "Waiting for MariaDB initialisation ..."
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then
echo "[ERROR] Waited 600 seconds, no response" >&2
if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 300; then
echo "[ERROR] Waited 300 seconds, no response" >&2
exit 1
fi